#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sudo
Version		:	1.9.15p2
Release		:	17.2.0.rel%{?dist}
Summary		:	Allows restricted root access for specified users
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Sudo License
URL		:	https://www.sudo.ws/sudo/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	pam-devel
Requires	:	setup
Requires(post)	:	coreutils
#-----------------------------------------------------------------------------
%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%doc README.md CONTRIBUTING.md CONTRIBUTORS.md HISTORY.md
%doc NEWS SECURITY.md TROUBLESHOOTING.md UPGRADE.md
%doc ChangeLog
%doc LICENSE.md

%attr(0440,root,root) %config(noreplace) /etc/%{name}ers
%attr(0640,root,root) %config(noreplace) /etc/%{name}.conf
%attr(0640,root,root) %config(noreplace) /etc/pam.d/%{name}
%attr(0750,root,root) %dir /etc/%{name}ers.d/

%attr(4111,root,root) %{_bindir}/%{name}
		      %{_bindir}/%{name}edit
%attr(0111,root,root) %{_bindir}/%{name}replay
%attr(0755,root,root) %{_sbindir}/vi%{name}

%{_includedir}/%{name}*
%{_bindir}/cvt%{name}ers
%{_sysconfdir}/%{name}ers.dist
%{_libexecdir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/examples/*.conf
%{_defaultdocdir}/%{name}-%{version}/examples/sudoers
%{_datadir}/locale/*
%{_mandir}/man1/cvtsudoers.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz


#-----------------------------------------------------------------------------
%post
# Make sure permissions are ok even if we're updating
/bin/chmod 0440 /etc/sudoers


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__tar} xf %{SOURCE1}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-secure-path				\
	--with-all-insults				\
	--with-env-editor				\
	--with-passprompt="[sudo] password for %p"	\
	--disable-log-server				\
	--with-pam					\
	--with-pamlogin					\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot}				\
	install_uid=`id -u`				\
	install_gid=`id -g`				\
	sudoers_uid=`id -u`				\
	sudoers_gid=`id -g`				\
	install

#taking care of ok_addon
(
cd %{name}-ok_addon

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -p -c -m 0440 %{name}ers %{buildroot}%{_sysconfdir}
install -p -c -m 0440 %{name}.conf %{buildroot}%{_sysconfdir}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/pam.d
install -p -c -m 0440 %{name}.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}
)

#-----------------------------------------------------------------------------
%changelog
